public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: games-emulation/fceux/
Date: Sun,  9 May 2021 04:42:26 +0000 (UTC)	[thread overview]
Message-ID: <1620535328.552bcb9ad29cc7b67e91e48172bb0f492198628d.sam@gentoo> (raw)

commit:     552bcb9ad29cc7b67e91e48172bb0f492198628d
Author:     Ionen Wolkens <sudinave <AT> gmail <DOT> com>
AuthorDate: Sat Apr 24 20:53:14 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun May  9 04:42:08 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=552bcb9a

games-emulation/fceux: add 2.3.0

Notable ebuild changes:
- migrated to cmake (drops python/scons)
- libsdl2 over libsdl
- build with QT5 (upstream removed support to build without gui)
- removed all IUSE:
  > logo: create_avi / logo support missing from new build system
  > lua: always required, otherwise uses internal lua5.1
  > opengl: fails if missing
  > gtk: while still usable, upstream discourages it, lacks some
    features, can't be built at same time, and next upcoming version
    removed support entirely (adds QT6 support instead)

Closes: https://bugs.gentoo.org/782640
Signed-off-by: Ionen Wolkens <sudinave <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/20532
Signed-off-by: Sam James <sam <AT> gentoo.org>

 games-emulation/fceux/Manifest           |  1 +
 games-emulation/fceux/fceux-2.3.0.ebuild | 56 ++++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/games-emulation/fceux/Manifest b/games-emulation/fceux/Manifest
index 134f52e9434..f816c7e3e35 100644
--- a/games-emulation/fceux/Manifest
+++ b/games-emulation/fceux/Manifest
@@ -1 +1,2 @@
 DIST fceux-2.2.3.src.tar.gz 9292792 BLAKE2B 44412934a50f2cab581cb194932a079071e8c7c1cb4cb4d173e9d7cf4898806fe1b0948d6e86fd70d1265eb596c47f77f751e3a113f03aba9b95e1f5def9c2a8 SHA512 6deb83e9e773694f4040f5f325b0b5b4f45d58bb3481db67b4659c940d90c4c87e3ffeac712b72ddb3f5d089cd9fc7b55b497db61f708c23a7c43c17eda55c7b
+DIST fceux-2.3.0.src.tar.gz 20779030 BLAKE2B 0d9a0e1f326bdcde4e360a03755c9d807a59e3f3826017e2923527f3ec214bec4c9737f98a8abc4e4971098d127ce8e95eb4142fa8d0bd71109190e6d2c93861 SHA512 46b53f0c4c790ae4f7d5e800adf81cce3c7ccf4b06f972d46e29c0170485e291516709a8c28b26c762d535453e280a6c6de935869c7674bb135c3dca2e266407

diff --git a/games-emulation/fceux/fceux-2.3.0.ebuild b/games-emulation/fceux/fceux-2.3.0.ebuild
new file mode 100644
index 00000000000..94313a079d6
--- /dev/null
+++ b/games-emulation/fceux/fceux-2.3.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( lua5-1 )
+
+inherit cmake lua-single xdg
+
+DESCRIPTION="Portable Famicom/NES emulator, an evolution of the original FCE Ultra"
+HOMEPAGE="https://fceux.com/"
+SRC_URI="mirror://sourceforge/fceultra/${P}.src.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+REQUIRED_USE="${LUA_REQUIRED_USE}"
+
+RDEPEND="
+	${LUA_DEPS}
+	dev-qt/qtcore:5
+	dev-qt/qtgui:5
+	dev-qt/qtopengl:5
+	dev-qt/qtwidgets:5
+	media-libs/libglvnd
+	media-libs/libsdl2[joystick,sound,threads,video]
+	sys-libs/zlib:=[minizip]"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-2.2.2-warnings.patch
+)
+DOCS=( README TODO-SDL changelog.txt documentation/. readme.md )
+
+src_prepare() {
+	cmake_src_prepare
+
+	# remove hardcoded paths and deprecated options from .desktop
+	sed -e '/^Exec=/s:=.*/:=:' \
+		-e '/^Icon=/s:=.*:=fceux1:' \
+		-e '/^OnlyShowIn=/d' \
+		-i fceux.desktop || die
+
+	# avoid QA notice if no git, returns empty strings either way
+	sed -i '/^GIT_/s:=.*:=:' scripts/genGitHdr.sh || die
+}
+
+src_install() {
+	cmake_src_install
+
+	# remove unused/duplicate files
+	rm "${ED}"/usr/share/fceux/{lua5{1,.1}.dll,{fceux,taseditor}.chm} \
+		"${ED}"/usr/share/doc/${PF}/fceux{,-net-server}.6 \
+		"${ED}"/usr/share/man/man6/fceux-net-server.6 || die
+}


             reply	other threads:[~2021-05-09  4:42 UTC|newest]

Thread overview: 26+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-05-09  4:42 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-19 16:17 [gentoo-commits] repo/gentoo:master commit in: games-emulation/fceux/ James Le Cuirot
2023-02-09 20:15 Ionen Wolkens
2023-02-09 20:15 Ionen Wolkens
2022-03-30  7:16 Ionen Wolkens
2022-03-24 14:17 Ionen Wolkens
2022-03-14 11:43 Ionen Wolkens
2022-03-07 20:38 Ionen Wolkens
2022-02-06 19:47 Ionen Wolkens
2022-02-05 23:39 Ionen Wolkens
2022-01-22  0:34 Ionen Wolkens
2022-01-18  2:29 Ionen Wolkens
2022-01-13  8:06 Ionen Wolkens
2021-11-10 10:59 Ionen Wolkens
2021-10-24  4:52 Ionen Wolkens
2021-06-29 20:55 Ionen Wolkens
2021-06-02  2:38 Ionen Wolkens
2021-05-09  4:42 Sam James
2021-03-25 23:31 Conrad Kostecki
2020-09-19 10:15 Michał Górny
2020-07-29 17:07 Andreas Sturmlechner
2018-04-29 11:26 Pacho Ramos
2016-02-16  1:38 Michael Sterrett
2016-02-14 10:11 Agostino Sarubbo
2016-01-15  9:03 Agostino Sarubbo
2015-12-09 22:48 Michael Sterrett

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1620535328.552bcb9ad29cc7b67e91e48172bb0f492198628d.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox